com.tibbo.aggregate.common.sql

## Class NotExistSqlTable

- java.lang.Object
- - com.tibbo.aggregate.common.sql.NotExistSqlTable

- All Implemented Interfaces:
    SqlTable

      public class NotExistSqlTable
      extends java.lang.Object
      implements SqlTable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotExistSqlTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `exists()`
    `SqlColumn` | `getColumnByName(java.lang.String name)`
    `java.util.List<SqlColumn>` | `getColumns()`
    `SqlTableHierarchyLink` | `getLinkByTableName(java.lang.String tableName)`
    `java.util.Map<java.lang.String,SqlTableHierarchyLink>` | `getLinks()`
    `java.util.List<SqlColumn>` | `getPrimaryKeyColumns()`
    `java.lang.String` | `getRealName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotExistSqlTable

          public NotExistSqlTable()

  - ### Method Detail

    - #### getRealName

          public java.lang.String getRealName()

      Specified by:
        `getRealName` in interface `SqlTable`

    - #### getColumns

          public java.util.List<SqlColumn> getColumns()
                                               throws java.sql.SQLException

      Specified by:
        `getColumns` in interface `SqlTable`
      Throws:
        `java.sql.SQLException`

    - #### getColumnByName

          public SqlColumn getColumnByName(java.lang.String name)
                                    throws java.sql.SQLException

      Specified by:
        `getColumnByName` in interface `SqlTable`
      Throws:
        `java.sql.SQLException`

    - #### getLinks

          public java.util.Map<java.lang.String,SqlTableHierarchyLink> getLinks()
                                                                         throws java.sql.SQLException

      Specified by:
        `getLinks` in interface `SqlTable`
      Throws:
        `java.sql.SQLException`

    - #### getLinkByTableName

          public SqlTableHierarchyLink getLinkByTableName(java.lang.String tableName)
                                                   throws java.sql.SQLException

      Specified by:
        `getLinkByTableName` in interface `SqlTable`
      Throws:
        `java.sql.SQLException`

    - #### getPrimaryKeyColumns

          public java.util.List<SqlColumn> getPrimaryKeyColumns()
                                                         throws java.sql.SQLException

      Specified by:
        `getPrimaryKeyColumns` in interface `SqlTable`
      Throws:
        `java.sql.SQLException`

    - #### exists

          public boolean exists()

      Specified by:
        `exists` in interface `SqlTable`